Page MenuHomePhabricator

efl_ui_clickable: move repeat event
ClosedPublic

Authored by bu5hm4n on May 3 2019, 1:48 AM.

Details

Summary

the repeat event is only emitted by the implementations of
efl_ui_autorepeat. Additionally, the event should only be used by those
who implement this interface.

Depends on D8832

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 3 2019, 1:48 AM
bu5hm4n requested review of this revision.May 3 2019, 1:48 AM
zmike requested changes to this revision.May 3 2019, 6:50 AM
zmike added inline comments.
src/lib/efl/interfaces/efl_ui_autorepeat.eo
49

Should this perhaps pass the string of the repeated event? Otherwise this could be anything.

This revision now requires changes to proceed.May 3 2019, 6:50 AM
bu5hm4n requested review of this revision.May 3 2019, 7:51 AM
bu5hm4n added inline comments.
src/lib/efl/interfaces/efl_ui_autorepeat.eo
49

This interface is only about clicked events, (as the docs say).

bu5hm4n updated this revision to Diff 21930.May 5 2019, 3:00 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase.

segfaultxavi requested changes to this revision.May 6 2019, 3:43 AM
segfaultxavi added a subscriber: jpeg.
segfaultxavi added inline comments.
src/lib/efl/interfaces/efl_ui_clickable.eo
17

This breaks one of the C++ examples: src/examples/elementary/button_cxx_example_01.cc.
I don't understand why this example (by @jpeg) needs this event. It looks like it works just fine by using the clicked event.

This revision now requires changes to proceed.May 6 2019, 3:43 AM
bu5hm4n updated this revision to Diff 21951.May 6 2019, 7:39 AM
bu5hm4n edited the summary of this revision. (Show Details)
bu5hm4n updated this revision to Diff 21952.May 6 2019, 7:41 AM

Rebase & update according to xavi review

segfaultxavi accepted this revision.May 6 2019, 7:57 AM

No further concerns. I also keep thinking we could put something into that void event info, but it is not needed for the basic use case, and other things (like allowing ANY mouse button to autorepeat) would look overengineered and of little practical use.

bu5hm4n updated this revision to Diff 22099.May 12 2019, 2:17 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:32 AM
This revision is now accepted and ready to land.May 13 2019, 11:32 AM
Closed by commit rEFLd29edceade9c: efl_ui_clickable: move repeat event (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 13 2019, 12:14 PM
This revision was automatically updated to reflect the committed changes.